************************ TODO****************************
	Todo :

	Audio API : 	Grab returns MINUS_ONE when cannot read anymore
				Read returns 0
				getPacket returns 0
*********************** /TODO **************************



********************************* Step2 *********************************
                Fixed mpeg detection (lower threshold)
                New filters: mosaic hard pd removal blend removal
                Fixed size for output (74 &  70 mn)
                

                Fixed blank in path for mpeg    
                unblend field, does not work very well
                Fixed TS loading
                Fixed slowdown in mpeg PS loading
                Fixed huge junk chunk in mpeg->avi
                Jobs

test1
                Fixed requantizer
                Colorspace from mplayer
                DRC
                wizard for VCD etc.. that asks for aspect ratios
                use ~/.avidemux for storage
                Tray icon
                Fixed win32 bigfile issue
                PNG + use mplayer for importing BMP
                SDL support for win32 enhanced (maybe macOsX too)
                Dual audio fixed (sort of)
                Jakub new dialog
                Filter for open/save

***********************************************************
        25 June
                Multiple audio track for OGM + cleanup of the mess
        20 June
                Added audio track selection
        19 June
                Low level/mid level ok for audio switching
        18 June
                Began adding support for on the fly audio track switch
        12 June  Fixed some got_pict=0 issue 
                 TS: Fixed AC3 demuxing, mostly ok
        09 June  Fixed "-" in script, began mpeg TS
        08 June  Fixed faad2/x264. Added threshold to miniocr + enabled skipall button.
        07 June  Fixed demuxer for private stream2 / multiple file input
        06 June  Fixed Xv redraw issue

                dedicated ui for indexing progress
        01      Prober + new ui + commit the whole thing
        31      ES Ok, PS ok, demuxer + stats, audio + multiple audio tracks (only one picked)
        26      Basic audio ok
        25      finished ES, began PS, simplisitc PS done
--------------2.0.40--------------------------
        24      ES demuxer & indexer
        23/05
                - began working on new mpeg demuxer
        22/05
                - save pp in project
                - global pp default
                - re-enabled swap uv in pp
                - external source for audio scriptable
        20/05
                - fixed the "," issue in prefs_gen.pl
                - fixed some ocr issue
                - moved to pristine mplayer swscale
        19/05
                - fixed resize_mmx2 by disabling it
        18/05
                - moving project save/load to script
--------------------2.0.38 final : 1030-----
        14/05   
                - changed max for eq2 to 3 (from 10)
        12/05
                - fixed (?) mpeg 2 layer 3 packet size computing
        11/05
                - added ugly/simplistic var stuff
        10/05
                - fix (?) the cpucap integer declaration
                - fix some win32 transient issue
        09/05
                - Eq2 part2
                - be less strict on mpeg audio match code
        08/05
                - fixed jpeg encoding
                - clean up of MMX etc..
                - fixed filter display (jakub)
                - changed audio mux rate  for mpeg ts (vk)
                - race in mpeg PS (T rupp)
                - support mov file starting by skip
                - dont reset marker when loading filters
		- began to build non reg
        07/05   - fix build when mmx is disabled
                - cleanup prefs menu to add video accel
                - added video accel in prefs

        06/05  - Hdd failure
        05/05
                - Redone decomb telecide using avisynth compatibility lib
        04/05
                - --rebuild-index command line
        01/05
                - Asharp
------------------------2.0.38rc3-------------
        30/04
                Fixed save bmp on large file (hdtv)
                Maybe fixed altivec pp
        26/4
                - msharpen 1/2
        25/4
                - dgbob 2/2
        24/4
                - doc update
                - dgbob 1/2
        20/04
                - added language to ts
                - jakub new bitrate calc ui
                - some fix in bitrate calc
        19/04
                - fix # of parameter for mplayerhqd3D
                - fixed vobsub index non sequential (when some languages were omitted from the sub)
        18/04
                - tiny gui for eq2 , gamma working ?
                - fixed Ts output for picture > 64 k, vlc happy now
        17/04
                - added container info for ogm & avi

        15/04
        
                - fixed (?) mpeg2enc build on non 386
                - fixed green flags/huffyuv
---------------------------------------------
April Break
                Ts muxer
                Mplayer hue & eq2
                Fixed bitrate calc not showing
                Fixed black frame handling
-----------------------2.0.38rc2b----------------------------------------
        28/03/05
                - assume 24 fps is pulldowned (lavformat)
                - set bitrate for ts
                - Fix b frames detection when dontcopy is on
        27/03/05
                - Dont try to copymode a mpeg dont starting by intra 
                - fixed some bugs in miniOcr
                - enter key validate the glyph in miniOCR
        26/03/05
                - mpegTs
                - upped mpeg split
                - Jens : Partial display correct frame # / avoid partializing partialized filter
                - Jens : crash avoided writing error on prj
                - dont crash when using appended file with no audio
                - A Robinson : Scan all black frames
                - Try to speed up a bit black frame detection
        25/03/05
                - better bitrate calc
                - begin work on muxer for mpegTs
                
        24/03/05
                - try to detect GMC
                - FIXME: dropped frame handling
        23/03/05
                - more dontcopy stuff
                - fixed memcpy_mmx
        22/03/05
                - added refcopy to gain one extra memcpy
        21/03/05
                - fast xine/mplayer memcpy
        20/03/05
                - Merged entropy linear for fps resample +conf+mmx
                - added ability to select Alsa device
        16/03/05
                - X264 fine tuning for encoding CBR (it was just 1000 too high :))
                - Dialog for x264 does its job
                - fix myth autoloading bug
        15/03/05
                - Better handling of 8 bits PCM

        13/03/05
                - X264 ui
                - Redone ocr ui
                - jens : mono2stero/append from cli + save stat as a file
        10/03/05
                - jens : Gcc 2.95
                - lavc pp deint over
        09/03/05
                - Begin adding lavc pp deint
        08/03/05
                - Merged Cyrille DnD patch
        07/03/05
                - fixed one bit offset, thanks yan

   March break
        - save/load glyphs
        - avoid memcpying when using mad decoder
        - less memcpy for WMA/AMR decoding
        - clean up WMA decoding too
        - Added AMR NB decoder from ffmpeg
        - Peek inside mp4/h263 to get correct width/height
        - use common free/alloc for pp



        25/01/05
                - ffmpeg patch fourcc Jindrich Makovicka 
        22/01/05
                - skeleton UI for x264
                - more x264 : param/cbr/cq
        21/01/05
                - x264
-------------------------2.0.38rc1----------------------
        20/01/05
                - vobsub ui + shift capability
        19/01/05
                - cleanup for mpeg identify + ignore diff at padding level
                - accept 0xF4 mpeg audio
        18/01/05
                - fix auto load for mpeg when N>10 (centove)
        16/01/05
                - ODML write support by GMV
        15/01/05
                - added indexMpeg to script
        12/01/05
                - 1Meg prefill for audio to prevent mplex from empty-ing audio while filing video
                - append cleanup (script/cli/...)
                - avoid one more mplex mjpeg_exit
        11/01/05
                - made some tweak with mplex muxer
        10/01/05
                - fixed vobsub display
                - fixed loadcodec config for XDVD
        06/01/05
                - Optimized async editor get frame
        05/01/05
                - display ok + select lang ok. Time to resize properly
                Maybe need some chroma too
                - resize ok chroma ok
        04/01/05
                - vs:simple ui
                - vs:can select the language
        03/01/05
                - more cleanup & basic resampling
                - resampling ok, colors ok, speed up
        02/01/05
                - cleanup of vobsub/restructuring
        30/01/05
                - better vobsub timing
                - fixed win32_huff loading : padding bug in openmlindex_secondary
        29/01/05
                - fixed bad jump in seq header (broken mpeg indexing)
                - fixed (?) lock handling on mplex muxing
                - jens : added avidemux2 to vcdimager in addons
                - moonz : added change fps filter
                - changed ui for mpeg2 passthrough

        24/01/05
                - Simple seeking for vobsub :)
        23/01/05
                - silence mplex SCR warning . Dont understand where they come from
                - exit cleanly from mplex (?)
                - Jens : Export setformat to cli
        21/01/05
                - more vobsub: color conv + merge + blend ok
        20/01/05
                - more vobsub
                - mixup fixed for confcoupl -> read
                
        17/01/05-18/01
                Timid vobsub support
                Read psu packet ok, now fix up the rle decoder
        16/01/05
                Cosmetic job on equalizer
        15/01/05
                 update to ffmpeg cvs
                 added ffhuff read/write
 Xmas break, win32 based, Laptop rules
       
              Basic support for field encoded mpeg2
              Fix postproc for field encoded mpeg2
              Fix displayed qz (not ok for mpeg2)
              Fix displayed audio in copy mode
              Win32: Display quant workaround
              Added setFormat script command
              Display audio codec/mode when using lavc codec
              

	21.12.04
		- display if qpel was used (gross hack)
		- 
	19.12.04
		- fix crah when unpacking Bvop / resulting # of image > initial (blah2.5.Avi)
		- save container used in project file
		- better projection model
	18.12.04
		- simplistic projecton model + VBV for DVD (lavc)
		- Jens : save xvid conf in prefs
		
	17.12.04
		- fixed xvidrc + dvd (lavc)
		- began adding VBV to xvidrc
	13/12/04
		- added muxer capabilities to lavcodec mpeg1/2 codec (X*VCD)
	12/12/04
		- S s.deleeuw : add more file in mpeg (several digit)
		- Jens : gcc 2.95 fix
---------------test2-----------------------
	08/12/04
		- Use fake normalize to avoid being stuck for long in calculator DVD/ps
	06/12/04
		- PTS/DTS is in fact needed (absolutely)
	05/12/04
		- Try to guess svcd in copy mode
	04/12/04
		- non altivec ppc fix by darwin@otierney.net 
	03/12/04
		- stereo2mono / -1 final
		- cleanup for removed menu entries
		- handle mp3 vbr/cbr writing correctly, gain some space !
	02/12/04
		- save as VCD PS/DVD PS depending if it is mpeg1 or 2
		- win32 compile fix for lavformat
		- mono2stereo and stereo 2 mono, need to add override mode
	01/12/04
		- did half smart copy
	28/11/04
		- SVCD + UI
	27/11/04
		- fixed audio too short when pulldown + mpeg2 in a mpeg stream (wrong computation of duration)
		- fixed deadlock on lavFormat end of stream
		- vcd template
	25/11/04
		- lavformat ok
	21/11/04
		- muxer ~ ok, need to do PTS
       18/11/04
       		- Began to merge lavformat mpeg2 muxer
       17/11/04
       		- dual audio 
       14/11/04
       		- be silent in script mode
		- try to workaround empty space between atoms
		- read mp4a atom correctly
		- read better some atoms (should work in all case : stts)
		- partial support of aac in avi
       13/11/04
       		- better handling of audio in mp4/mov
		- added follow mode to cli (follow=3)
		- svq3 needs extradata
       12/11/04
       		- fix size_t/unsigned in for realloc
       11/11/04
       		- fix gop size changing from pass1 to pass2 for SVCD
		- merged Xvid 1.1
		- fixed bframe offset/ratio
		- fix audio stall for save dvd ps
       10/11/04
       		- Redesigned xvid ratecontrol to offer a simpler common interface for all rc code
		- merged old ratecontrol into new interface
		- began to do new ratecontrol in new interface
       08/11/04
       		- ffv1rec : Improved ffv1rec (Michael Teske)
       07/11/04
       		- faac encoding access through menu
		- 16/9 for DVD lavc
		- display different name
       ------------06 Nov 04  : 2.0.34-test1---------------
       04/11/04
   		- display current a/v codec
       03/11/04
       		- Correct header when encoding mp3 VBR
		- fix round up for timeshift on wave
       02/11/04
       		- cleaned up rawshift*
		- fixed wav packetizer going empty
       01/11/04
       		- handle reordering in ogm
		- fixed fresh packet bit in ogm header
		- fixed timestamps in ogm header
		- avoid scratch at startup of vorbis track
		- 
       30/10/04
       		- fixed vop not coded + xvid for unpacker
		- mp3 vbr fixed
       29/10/04
       		- removed the -msse when mmx is on (DUH!)
		- masquerade as dx50 change divx****p to divx****n in user data segment
		- fixed raw copy of vorbis in ogm (with limitations)
		
       28/10/04
       		- try to pass through vorbis . Raw copy is ok, need to add timeseek capability
		- support for wma, playback is screwy
       27/10/04
       		- fixed bad start stream bit for ogm
		- fixed \ vs / on win32
       26/10/04
       		- crocodil enhanced bitrate calculator
       		- unpacker : update user data field
		- scan deeper for  B frmes
		- Jens : autoindex for nuv
		- Jens : gcc fix for ffv1
		
       ----------------2.0.32-------------------------
       19/10/04
       		- rotate bug
		- amd64 cpu asm code resynced with ffmpeg
		- all mmx cpu does not compile nicely with -msse
		- altivec x1 ok
		- divx unpacker skeleton
       18/10/04
       		- reverted to regular horizX1 for altivec
		- fixed a bug in normalize + save as DVD PS
       17/10/04
       		- X1postproc altivec : VertX1 ok, horizX1 not ok
       16/10/04 - null pointer crash protection (C Clayton)
       		- fixed faac/faad
		- pcm bug
       -------------2.0.30----------------------
       13/10/04
       		- fixed bad memcpy in crop and contrast
		- Jens : --autoidx
		- packetizer for ulaw & LPCM
       11/10/04
       		- Began to merge x86 code compatible with both 32&64 bits
       10/10/04
       		- Fix read error with vbr map + mp3
		- Display also avg bitrate + returns it in calculator
       09/10/04
       		- fixed avi audio so that they don't wrap around
		- use packet even for read
		- video codecs menu not hardcoded anymore
		- began to do calculator
       06/10/04
       		- fixed display filter after partial save
       03/10/04
       		- fixed audio api for ogm
		- incomplete header for ogm
		- fixed vorbis reading
       02/10/04
       		- began to fix seeking/reading for ogm
		- fixed 1st timestamp of header too high
		- fixed ac3 packetizer
		- fixed seeking in ogm for non vorbis stream
		
       01/10/04
       		- Fixed vbv header when using external 2 pass encoding (hint from Janne Grunau)
       30/09/04
       		- more PPC stuff
		- fix bug in ogg muxer 
		- Mitja Vodopivec : Support for interlaced DVD (ffmpeg)
		- Janne Grunau : Fix in buffer size 
       25/09/04
       		- more altivec/macOs
		- accept xvid 4.1 as xvid 4.0
       24/09/04
       		- fixed macOsX / altivec libtoolization
		- black frame
		- fixed display of audio size (ogm)
		- pad with silence end of ogm (ogm)
       21/09/04
       		- began libtoolization of libavcodec
       20/09/04
       		- unified 16 bytes aligned  alloc/Free
		- fixed free/delete mixup
		- works on ibookG4 / debian
       19/09/04
       		- same encoding for xvid
       18/09/04
       		- same encoding
		- fixed overflow in save audio in processed mode
       16/09/04
       		- vorbis : fixed header/comment/codebook writing
		- vorbis : muxing in ogm ok, nice overhead though
				
		
       15/09/04
       		- more vorbis
		- jens : save current proj cleanup + doc update
		- overflow fix (?)
       14/09/04
       		- fixed save audio in process mode (no sampling count)
		- gcc 2.95 in dia lame
		- some overflow in mpeg
       13/09/04
       		- fixed multi channel aac encoding
		- fixed aac header in muxing 
		- fixed muxing (high overhead)
		- skeleton for vorbis
       12/09/04
       		- handle rec chunk
		- began to add faac. Need doc. Mono ok, stereo no ok
       11/09/04
       		- fix anti-drift stuff
		- use getPacket also for save audio
		- begin to add aac encoding
       10/09/04
       		- added preliminary wav packetizer
		- fixed bug when there is not enough for last packet
		- simplified the null audio filter
		- fixed mpeg layer2/3 packet size computation
       09/09/04
       		- move getPacket up to editor, part I
			Need to make a schematic of the stuff
       08/09/04
       		- use packet for vbr time map (much faster)
		- whirl does not need MMX
       07/09/04
       		- dittor for avi
		- added preset to save/load edl
		- use buildRawshift instead of manually building the filter chain (memleak)
		- shift for ogm too
       06/09/04
       		- switch to packet: - done for OGM: AC3 & MP3
       05/09/04
       		- added ability to use lavcodec mpeg1/2 decoder
		- began to switch to get packet interface for ogm as a testbed
		
       04/09/2004
       		- kerning + fixed crash for font + improved rendering
		- fixed decoding ffmpeg when no quant data (ffv1 for ex)
		- new API for filesel with hinting(srt only ATM)
		- Win32 filename cleanup & name cleanup
		- removed SDL audio for win32
		
       01/09/2004
       		- modl modal fix
       31/08/04
       		- finished almost all filters
		- fixed a cache handling bug
		- be smarter concerning quant in ADMImage 
		- began to add copyInfo, need to patch all filters...
       30/08/04
       		- separated postproc
		- added qp infos
		- cleaned up and reactivate filters, part 1
		- remove chroma also for blacken border
		- new filter stackfield
       29/08/04
       		- added cache at editor level w B frame support (LRU cache)
		
       28/08/04
       		- altivec postproc (macOSx only ?)
		- configure switch -framework for macOsX
		- began to switch to ADMImage class to handle image rather than uint8_t *
      27/08/04
      		- bitrate-> vbv for xvid rate control
		- autoconf cleanup
		- VBV buffer size availble through ui
		- predictor borrowed from P. Cheat formula.
       		
       25/08/04
       		- shadow for subtitles
		- default charset is iso8859-1
		- update to ffmpeg cvs
		- new properties ui in one piece
		
       24/08/04
       		- Fixed VBV buffer for DVD ffmpeg
		- cleanup for param : SVCD/DVD
		- separate conf for XVCD DVDffmpeg
		- new ui for DVDffmpeg
		- Jens  : Save current project
		- Jens  : Save sub settings
		
		
       20/08/04
       18 /19
       		- log file is stored in xxx.stat, not in /tmp/xxx anymore
		-  USe less prefill for mpeg2enc (30->6)
       17/08/04
       		- more ui stuff
		- rgb32 fix from ffmpeg
		- win32: /tmp does not exist for default log file!
       15/08/04
       		- Jakub UI Job
		- Began to move i18n to sub frontend, and do only unicode in font display
		- Fixed xvid 0.9/ADM_assert (Tigs)
		- i18n ok (?) Workish
       14/08/04
       		- added go to A & goto B buttons
       13/08/04
       		- ask quant for smart copy right away (for ron)
		- prettier integer input/question/alert dialog box
       ____________________2.0.28___________________________
       11/08/04
       		- centralized cpu cap for mpeg2enc
       09/08/04
       		- fixed XVCD
		- added ulaw audio codec
		- more win32 stuff
       08/08/04
       		- assert -> ADM_assert
		- some win32 fix
       04/08/04
       		- Faster pass1 for 2 pass SVCD/DVD
		- Couple of win32 fix
       03/08/04
       		- Better 2 pass for SVCD
		- Fixed -g missing when --with-debug is set
		- sscanf weirdness spotted on win32 & fixed
       02/08/04
       		- E Strickland : -t for ffv1rec
		
       -----------------------------------------------------
       28/07/04
       		- audio for win32 (skeleton)
       27/07/04
       		- more cyg/ming stuff.
       24/07/04 - some toto%=: fix to allow -funroll-loop
       		- more mingw fix
       23/07/04 - Began merging win32
       
       _____________2 0 26 ------------------------
       17/07/04
       		- OGM demuxer : ditto for audio track
		- Tried to put back Xvid ratecontrol for s/x vcd
       16/07/04
       		- OGM demuxer : handles ok video track made by ogmtools
       14/07/04
       		- OGM demuxer : better handle non vorbis audio track (hackish)
       13/07/04
       		- OGM Muxer : B frames support for video 
       11/07/04
       		- Better audio muxer for OGM, makes mplayer crash for ac3 :(
       10/07/04
       		- OGM writter skeleton, gui and copy/process mode. No audio.
		- Bit of audio
       09/07/04
       		- added PTS info + stream info audio audio stream in TS (not 100% ok)
		- fix bug when mpeg audio never goes back to zero
       08/07/04
       		- began adding PTS infos for TS stream (bugged / incomplete)
       05/07/04
       		- OGM reader: Handles better non vorbis audio in ogm, not perfect thought
		- OGM muxer : Audio ok in copy mode, the abs_pos field is not ok (makes vlc go crazy)
				+ Do B frame
				+ Do encoding mode
				+ Fix reading of output of ogmmerge (?)
		- Fix TS when pid > 0x100
       04/07/04	
       		- a bit more on ogm writter, It is just a prototype ATM
		
       02/07/04
       		- began writting ogm writter
       28/06/04
       		- fixed audio duration computation (overflow)
		- double click on recent brings it forward
       27/06/04
       		- BE/LE in atom name
		- display correct thing about mp4a and amr nb
		- libfaad interface (incomplete/bugged)
       26/06/04
       		- faad autoconf'ed / class added/ no code for now
       25/06/04
       		- fixed vop not coded (small header imageless)
-------------------------No DSL------------------------
       23/06/04
       		- clean up of audio detection. Faster & go more deeply
       21/06/04
       		- Fixed double bug in mpeg TS demuxer, still visual glitch for cnn.ts
       18/06/04
       		- Allow pid selection in Ts stream (ok with trailers, not ok with DVB)
       15/06/04
       		- removed padding for audio stream /mpeg TS. clean up a bit
		- fix for crash when null mpeg frames (mencoder files)
       13/06/04
       		- added audio for mpeg TS, still harcoded
       12/06/04
       		- disabled VBR packetizing, not legit for DVD ?
       11/06/04
       		- put absolute path in mpeg index
		- removeFrame function
		- began adding support for mencoder new way of 'mpeg in avi' 
       08/06/04
       		- VBR muxing for mpeg writter
		- fixed smart copy for divx3
       31/05/04
       		- skeleton for video filter scriptability
		- save current filters as script
       30/05/04
       		- began to add video filters to script
       29/05/04
       		- fix openDML reader when the !keyframe flag is set
		- more scripting videocodec/savedvd/save. Parser bugged.
       28/05/04
       		- Dont save file in copy mode with starting/ending B frame
		- Warn if B frames loose their fw/bw reference (not sure it is a good
				idea (tm) )
       27/05/04
       		- more scripting
       20/05/04
       		- Msmooth from donald graft
		- First step of scripting engine
		
       18/05/04
       		- proper AC3 cut on packet boundaries
		- dropped dependancies on liba52 except for decoding
		- wrap CPU features around CpuCap class
		- sse for decimate
		
       17/05/04
       		- Redone crop ui + autocrop. Code is ugly but it will do for now.
       16/05/04
       		- UI for decomb
		- Do not preview out of scope frame (for frame changing filter : ivtc, mergefield...)
		- Decomb decimate + UI, not debugged
       15/05/04
       		- Added decomb telecide filter
		- Added general purpose cache frame mechanism (need a better cache eviction method)
       13/05/04
       		- Fixed audio playback on big endian cpu
       
       12/05/04
       		- added audio through SDL
		- Fixed video/SDL init so that it is only a subsystem and moved SDL_init to main
		- altivec yuv422 colors still wrong 
       10/05/04
       		- fixed mjpeg
		- correcly place SDL window on top of GDK window
		- rewrite MMX yv12_422
		- optimize altivec yv12_422, still buggy
       09/05/04
       		- SDL ok on macOsX
		- Fixed endiannes problem on mad decoder (my fault)
       08/05/04
       		- trying to guess FILM mpeg2
		- cleanup on xv to add libSDL (mainly for win32/darwin)
		- added libSDL for configure step
		
________________________2.0.24_________________________       
       06/05/04
       		  - tarballing for 2.0.24
       05/05/04
       		 - Fix segault when requantizing without audio
		 - Fix segault when not enough audio in pass through mode
       04/05/04
       		 - cleanup on amd64 by Peter Niemayer
		 - more gcc 3.4 fix
		 - fixed makefile.am for distfile that was borked by newer autoconf/gideon
       03/05/04
       		- gcc 3.4 fix (x3)
		- preparing for distclean package (duh! was a long time)
		
       02/05/04
       		- busy having sex
       01/05/04
       		- removed some assert in filters
		- jens : Fix autcrop
       28/04/04
       		- even better sub settings
		- synced with mplayer resize of 1.0pre3
		- Allow mplayer resize on non MMX
		- Default resize is now mplayer
		- Fixed Xv being disabled often
       27/04/04
       		- better chroma blending for sub
		- better sub settings
       25/04/04
       		- Fixed external wav / big endian
		- Do not attempt to run Xv in remote X mode
		- Dynamically use best PP, do the same for swscale **** fixme *****!
       23/04/04
       		- Fixed freeze when there is not enough audio on mpeg PS write (was lvemux)
		- Fixed display name for some audio types
       22/04/04
       		- Really fixed pulldown
       21/04/04
       		- Fixed pulldown for ffmpeg
		- B frame still not working for mpeg
       20/04/04
       		- Fixed autoconf for macOsX -*** DROPPED I18N fixme ***
       18/04/04
       		- macOsX: Added audio support :), and some quartz stuff but not committed 
		- some nasm stuff for cygwin
		- decoder option for each segment (needed for swap uv)
       14/04/04
       		- fixed audio too short with pal2film
		- since we are in rgb32 now, fully convert yv12->rgb
				and do no drop last 2 lines
       11/04/04
       		- created x86_64 for ffmpeg + assembly
		- jens: UI for bordersmear/blacken border
		
       09/04/04
       		- changed busy to busyicon
		- update to ffmpeg cvs
       08/04/04
       	
       		- Fixed display frame
		- Allow going to last frame (Jens)
		- Check Parity for crop/add borders
       07/04/04
       		- Merged cygwin patch
       27-30		
       		- cygwin port/fix
       26.03.2004
       		- fixed unpacked for divx5 case
		- cygwin fix
		- fixed C version of yv12->RGB
       24.03.2004
       		- completed auto bitstream unpacker
       23.03.2004
       		- Jens : Add --info 
		
       21.03.2004
       		- better reindex openDML files 
		- reindex takes track number into account
		- fixed save bmp
		- Jens: Better handling of disapearing old dir
		- dont crash when resampling to the same fq
		- added pal2film and film2pal audiofilter
       20.03.2004
       		- altivec to rgb32 too
		- fixed 2 pass (x86)
		- fixed display phasis
		- swap uv broken on g4
		- save bmp broken
		- Jens : Search file also in edl/curdir
		
       18/03/2004
       		- cleanup for linuxppc & altivec
		- fixed save jpeg
		- added save as bunch of jpeg
		- internal switch from RGB24 to RGB32 (faster and more suited for altivec :) )
       17/03/2004
       		- Jens : Fix openDML read with multiple riff header
		- yv12rgb altivec= ok on macOsX
       16/03/2004
       		- First version of YV12 to rgb altivec code, spotted lots of mistake for macOsX / altivec
       14/03/2004
       		- Fixed and finished more output video
       13/03/2004
       		- more detail output (video / audio size)
       11.03.2004
       		- fixed ffv1rec
       09.03.2004
       		- fixed init of internal toolame
       08.03.2004
       		- ADM64 patch by axel arnold
       06.03.2004
       		- fixed import BMP
		- Raise back video filter list after adding
		- Double click = ok for filter list / filters
		- Began support of UTF16 subs
       04.03.2004
       		- Fixed 2 pass reusing old log file with Xvid
       03.03.2004
       		- finished update of libmpeg2dec
       02.03.2004
       		- Updated libmpeg2dec to 0.4b
       29.02.2004	
       		- Max bitrate for DVD upped
		- alsa 1.x support
		- vlad patch
		- fix the little bugs from 2.0.22 
		- Some warnings removed
		- added lrintf autodetect in ./configure
		- added EMULATE_FAST in ./configure
		- added iconv /const ** to ./configure
		- Fixed bad reading of edl file ("a")
-----------2.0.22---------------------------       
       24.02.2004
       		- Fixed a/v sync correction that was disabled due to silent parameters
       22.02.2004
       		- Fix requant to complete the current frame and not delay datas to the next
		- aprintf is C friendly 
		- Requant must have its timecode redone too.
       21.02.2004
       		- Applied JSC patch
		- Synced with FFmpeg
		- Updated ffv1rec to xvid4 compatible stuff
       17.02.2004
       		- Fixed 2Gb on save mpeg PS spotted by wildsack
		- More tcrequant stuff
		- Store seq header in extra data, use it if needed in pass through mode
		- Added mjpa to mjpeg synonyms
		
       16/02/2004
       		- fixed the alignBits stuff
		- began injecting tcrequant
       15/02/2004
       		- Changed (again) the way the mpeg2 index is built
		- Fixed the gop duplicate bug when saving in DVD ps mode
		- Updated the Gop restamp code in lvemux
       12/02/2004
       		- Fixed audio split into audio frames
		- Found (?) a bug in lvemux at 384 kbps
       11/02/2004
       		- Fixed gop update , only first packet is seen as async for AC3.
       10/02/2004
       		- Began fixing the way the audio is written -> gop_update is bugged!
       09/02/2004
       		- Added a/v shift to save mpeg PS when audio in copy mode
       08/02/2004
       		- fixed drift in mpeg
		- Recompute gop header in case of copy to DVD ps
		- More subs from daniel
		- Fixed passthrough mode
       06 &07 / 02/2004
       		- Fixed c++ism in muxout spotted by anish
		- Changed the way the index is built to be compatible with pass through
       05/02/2004
       		- Added mpeg2 sync for external mpegaudio
       04/02/2004
       		- More subtitle from Daniel
		- Fixed fps in case of fps changing filter + encoding to mpeg PS
		- Fixed ffmpeg audio not setting the byterate field (!)
       03/02/2004
       		- Factorized some code between mpeg encoding & pass through
		- Fixed code for AC3 in lvemux
       01/02/2004
       		- another endianness fix ogm
       31/01/2004
       		- moved CVS to berlios<<-------------------
		- Merged Daniel Lima subtitles fixes
		- Build audio index separately from video index > much quicker
		- Cleaned up the whole ogg audio mess, nicer now, can add tracks if needed
		- Endianness fix for OGM
       29/01/2004
       		- Seeking ok, a tad slow. plop at playback.
       28/01/2004
       		- Ogg playback ok, seeking is a problem.
       27/01/2004
       		- First libvorbis init successfull
		- complete init with header/comment/codebook packet read ( :P )
       26/01/2004
       		- more ogg
       25/01/2004
       		- ogg audio
		- fix for weird avi header made by streamer
       21/01/2004	
       		- lavcodec patch for siemens
		- fred patch for 3gp -> avi
		- Merged & modified Entropy patch for better audio sync
		- Fixed the bug of qscale x=1--W instead of x=0--W-1
       20/01/2004
       		- speedup for soften
       18/01/2004
       		- Fixed external wav crash
		- Added ForcePP filter
		- Valgrind -> some little fix
		- Added soften (uncomplete)
       17/01/2004
       		- New ui for SVCD/DVD
		- Split save mpeg2 es/mpeg2 ps -> new menu entry
       16/01/2004
       		- Fixed wrong bitrate for libtoolame 
		- Fixed audio detection when audio process is on
		- More stuff into lvemux
		- More fix for SVCD/DVD mixing
       15/01/2004
       		- began adding lvemux
       14/01/2004
       		- Merge WLA & Jens patches
		- Better handle MP2 bs MP3
		- Began integrating lvemux
		- Fixed xvid4 reuse of log file
       13/01/2004
       		- dont pop out null frame when B frames are on
		- fix (?) for too many dropped B frame  + incorrect reordering
		 
       12/01/2004
       		- better direct input for frame#
		- Fixed interlaced/widescreen settings (scroll lock)
       11/01/2004
       		- preliminary support for libtoolame encoding
		- added encode_interleaved to libtoolame
		- try to keep the B frames at the beginning by replacing them by dupe of I frame
       10/01/2004
       		- better support for 8 bits pcm audio
		- endian fix for save audio /PCM
		- added libtoolame beta (with a always beta software it is ok)
       09/01/2004
       		- Try to better detect type2 avi
       08/01/2004
       		- reverted closed gop stuff
		- fixed buffered audio filter using same buffer for in and out (duh!)
		- disabled post proc for mpeg1/2 for the moment
       07/01/2004
       		- dropped sox, trying to use libresample instead (early job)
       06/01/2004
       		- Better max bitrate for ffmpeg
       04/01/2004
       		- Update to ffmpeg CVS
		- Look at destructor for mpeg codec <<<<
		- Use ffmpeg 2 pass engine for XSVCD
       03/01/2004
       		- Begin adding postprocessing to mpeg1/2
		- Unified PP, dropped mplayer one, taken the one from libavcodec instead
		- Merged Jens patch
		
       02/01/2004
       		- Added ui for kernel deint
		- Display time shift between audio and video
		- Fixed closed gop 
		
       01/01/2004
       		- Fixed cache issue when the cached frame was the forward ref frame
			(still some ugly stuff here)
		- Added D Graft kernel deint
       31/12/2003
       		- Put back ffv1 patch for frame type
		- more lavc ui stuff  
       30/12/2003
       		- UI -> both save bmp & save jpg are there
		- save bmp fixed on big endian cpus
       29/12/2003
       		- Updated po file  + vcodec by type detection
       27/12/2003
       		- Fix for missing 1st sub (workaround), thanks ron
       26/12/2003
       		- Added half D1 res + command 
		- split codec configuration from edl file
		 
		
------------------------2.0.20---------------------		
       20/12/2003
       		- Fixed overflow in xvid 2 pass mode
		- emulate_fast_int fix for solaris & bsd
       16/12/2003
       		- inttypes BIG cleanup (solaris/amd64 stuff)
		- xvid4 finish and init " a la " mplayer
       13/12/2003
       		- Fix for hpel xvid4
		- Default bitrate is 1500 (was 1.5)
		- Try to be 64 bits clean
       12/12/2003
       		- Fixed mpeg indexer ui
		- Xvid4 a la jakub
       10/12/2003
       		- indexer now also shows # of channels and bitrate
       09/12/2003
       		- Added some more Xvid options. Not working properly now
		- Continued mpeg audio scan. More user friendly now. (2/3).
       08/12/2003
       		- Finished 2pass xvid + some i/f cleanup. 
		- Added m2vrequant to the addond dir
		- Markers taken into account for requant
		- First part of better autodecting audio tracks from mpeg file
       06/12/2003
       		- Basic Xvid4 working
       04/12/2003
       		- Begun Xvid 4 support
		- Fixed Requant
		- Fixed --audio-toolame (thx bruce1271)
       01/12/2003
       		- Disabled buggy altivec code in libavcodec
		- Mpeg2dec is 0.3.1 -> partial update to take gcc bug for altivec (gcc < 3.3). *altivec.c from 23 April 2003
				(should be macOsX safe too)
       30/11/2003
       		- M2V Requantizer
		- Most dialog are now transient to main
       29/11/2003
       		- Fixed lagrange multiplier for newer ffmpeg version
		- Show quantizer for both xvid and lavcodec
		- Added requantizer menu + requantize mpeg menu
		- Fixed bitrate histogram for avi/openDML
       28/11/2003
       		- Sox resample almost ok
		- Misc fix for audio buffering
		- Added resample and append to cli commands
       26/11/2003
       		- PPC cleanup (ffmpeg) no altivec yet
		- Huge speed increase in audio processing, resample to X is ok for mono
	23/11/2003
		- Forgot to re-enable MMX optim for Xvid in CQ mode (oops)       
       18/11/2003
       		- Slowly incorporating lvemux mux engine
		- Partially fixed Xv redrawing bug
       17/11/2003
       		- Fix for ffmpeg4 ui being stuck
       14/11/2003
       		- UI continued (keyboard shortcut)
		- Fixed modal mode for ffmpeg tuning
		-
       13/11/2003
       		- New UI
		- Fix VCD
       09/11/2003
       		  Fix for slightly broken avi header (non standard at least) -> Cagnulein
		  Fixing MacOSX build (fun stuff :) )
       03/11/2003 Deinterlace non ivtc-ed frames
       01/11/2003----------2.0.18-------------
       28/10/2003
       		- Fixed displayed Qz/Size/Bitrate for Pass1 (mpeg)
		- Fixed trainling frames for mpeg1/2
		- Change from CQ=6 to CBR=avg for pass 1 + gross patch disable padding
       18/10/2003
       		- Fixed FFV1 keyframe
		- Fixed MP ivtc (?)
		- Began to put back 3:2 pulldown in ffmpeg
       16/10/2003
       		- Solaris/Big endian fix for openDML
       15/10/2003
       		- Fixed rebuild Keyframe for gcc 2.95 (strained the stack too much)
		- Do flush to avoid delaying the io too much
		- Added new ui : DIA_SVCD, added 16/9 and interlaced to ffconfig  & ui
       14/10/2003
       		- Fixed potential round up error in detc
		- Fixed ctrl+[]
       13/10/2003
       		
       		- Some keyboard shortcuts added
		- Save ffmpeg mpeg2 audio with valid encoding (we take mp3 closest)
       12/10/2003
       		- Fixed some openDML offset 
		- Arts : reverted to default settings
		- Cache : Always on, side effects ?
		- Switched from detc to ivtc
		- Fixed audioIdx not initialized
       11/10/2003
       		- 32/64 fix for openDML
		- fix for extraData audio & video
		- audio track added for openDML super index
		- fix for dual audio openDML
		- fix for flags not updated for P frames
		- tag junk field with avidemux 
		- smarter choice between openDML/regular avi
       10/10/2003
       		- Regular index workish commiting
       09/10/2003
       		- Continued openDML + regular + reindexer
		- Reverted to save bmp
       07/10/2003
       		- Fixed vprocess for good
		- Fixed frame start/end in edl
       05/10/2003
       		- Fixed extraData len in header (Joseph)
		- Layout skeleton for openDML (empty now)
       04/10/2003
       		- Began to remove multi char const (gcc 3.3)
		- Fixed length computation for save audio (hope i did not break it)
		- Be more responsive / update more often when saving audio (little loss of perf prolly)
       03/10/2003
       		- Fixed mplayer detc port. Removed ivtc.
       02/10/2003
       		- Fixed xvid 2 pass
		- Save MarkA / MarkB in edl too
		- Merged Laurent Culioli patch for configure --disable-mmx
       01/10/2003
       		- Merged Anish FreeBSD compatibiliy stuff
		- Began to port detc - not working as of now
       30-09-2003
       		- Half fixed black border (still left & right chroma to do)
		- First step to big avi support
       28-09-2003
       		- Merged Set display fix for mpeg encoding
		- Merged Dopez sync fix for ffv1rec
		- Added lavdeinterlace as video filter
		- Added Vincent Strubel ppc configure stuff
----------2.0.16----------       
       26-09-2003
       		- Merged h263/lavcodec stuffing from Michael Niedermayer
       25-09-2003
       		- set name for SVCD/DVD/X*CD
       22-09-2003
       		- Fixed multiple toggling
		- Fixed bad ifdef xvid_cvs
		- Fix unneccessary crop/resize for SVCD res
		- Fix SVCD/... res so that we do 1:1 -> 4:3 instead of 1:1 -> 1:1
       21-09-2003
       		- Now everybody use the new encoding ui
		- Fixed nasm clash between mpeg2enc and xvid (dct_mmx stuff)
       20-09-2003
       		- Fixed byte/bit in *VCD when called from cli (ugly need to rewrite the whole stuff)
       19-09-2003
       		- Updated doc a bit
		- Fixed DVD output a bit too
		- Fixed mmx for mpeg2enc + build on non mmx system
       18*09*2003
       		- Fix reset seg not complete
       17/09/2003
       		- mpeg2enc 1st pass with Q=4 -> better
		- same for xsvcd
		- Fixed vbv & bitrate for xsvcd should not be rejected anymore
       16/09/2003
       		- Migrated CVS to tuxfamily.org . Thanks to them :)
       09/09/2003
       		- CODEC: Mpeg2enc, began to nasm-ism it., still slow
       07/09/2003
       		- CODEC: Mpeg3enc ok for VCD, still not really good for SVCD
		- DEMUX: Fixed a bug in aviaudio ->read spotted by efence
       05/09/2003
       		- CODEC: Initial import of mpeg2enc 1.6.90
				Making mpeg3enc out of avidemux
15-5       
      04/09/2003
      		- UI: Set loaded file title
		- EDITOR : Fix last frame being dropped
		- config : Try to be clean with freeBSD directly through config.in.in
		- UI: Make a nicer display of bitrate histogram
       02/09/2003
       		- EDITOR : Restore video process mode correctly in EDL
		- CODEC: Fixed gop size & custom matrix
       01/09/2003

       		- CODEC: Added custom matrix/gop size
		- UI: Display mpeg1/ mpeg2 in codec
		- Codec: Set user tunable gop size & qz matrix (->buggy)
       31/08/2003
       		- UI: Preview killed if output is set
		- XVCD: Added min & max bitrate (works only in 2 pass mode)
		- UI : Added histogram
		- TOOLKIT: Added gtk_entry read/write
		- DEMUXER : Expanded avi to 64 bits internally.
		- configure : Check for pkg-config && gtk flags a bit harder
       30/08/2003
       		- New resize with PAL and 4/3 16/9 taken into account
		- XVCD / XSVCD
       26/08/2003
       		- FILTER : Fixed D3D for good this times
		- EDITOR : Load edl when SVCD type
		- FFMPEG: Updated to 0.4.7 + mpeg2 encoder from CVS
       25/08/2003
       		-FILTER: Fixed HQD3D not allocating enough memory
       		-FILTER: Fixed(?) D3D/ HQD3D floor/ceil errors
		- FILTER : Finished chroma shift

       24/08/2003
       		- EDITOR 	: Codec fine tuning is saved in edl file (.specific part)
		- FILTER 	: Began going visual for chroma shift
---2.0.15-1---
       23/08/2003
       		- FFV1 : ~/.ffv1recrc + 2 Gb limit
		- FILTER: Fixed slow / bad redraw for crop
		- lavcodec: Merged AC3 patch
	22/08/2003
       		- FILTER: Fixed subtitles (multi line case ->build id)
		- EDITOR : Fixed cache not being activated
		- DEMUX: Scan jpeg header to find width & height (crappy)
       21/08/2003
       		- NUV : Correct recomputation of normal bitrate when fq!=44.1 khz
		- DEMUX : Added partial support for jpeg files (still need to set w & h)
       20/08/2003
       		- AVIW: Patched aviwrite so that microsecperframe is never null -> bad fix, compute
				it from fps
		- NUV: Added support for 'N' tag -> audio frequency. Sync broken if !=44,11 khz
       19/08/2003
       		- FILTER:Fixed HD D3D -> ??
		- CODEC:Fixed max I frame interval for Xvid
       18/08/2003
       		- FFV1: ffv1rec cleanup, Mjpeg & mpeg still buggy Grrr
       17/08/2003
       		- CODEC: Mjpeg encoder from lavcodec
		- CODEC: Save as jpeg instead of bmp
		- DEMX: Began modifying in pict to load jpeg too
******2.0.14***********

2.0.13-3
       15-08-2003
       			- FILTER : Clean up of Drop filter
			- GUI 	: Keep selected filter after up/down
       11/12/13-08-2003
			- Added gui color sel
			- Added support for mythTv "T" frame
       11-08-2003
			- Tried to add color selection to subtitles
2.0.13-2
       10-08-2003
       			- CONF: Merged (some) netbsd patches
			- CODEC: Added swap uv option for ffmpeg
			- EDITOR: Fixed audio bug which was working only if there was 1 reference
       09-08-2003
       			- NUV: Fixed extraLen in nuvheader being unitialized
			- GUI: Changed the keymapping [] for A/B, home/end to goto(0) / goto(end)
			- FILTER: New gui for SRT, lookup
			- FILTER : Cleanup sub parser
			- FILTER : Changed the aliasing method for subs
       08-08-2003
       			- GUI: Do not even try to index divx5 vop packed
			- Began to work on new subtitle config
2.0.13-1-----
       07-08-2003
       			- GUI: When deleting frames, reset a & b to 0, max
			- WKB: Load file with space in the name
       06-08-2003
       			- 3GP : Added big size support (up to 4gB)
			- 3GP : Added stss atom support (keyframe)
			- 3GP : Added support for SVQ3 atom
			- Codecs : Added support for SVQ3 lavcodec
	05-08-2003
			-3GP: Fixed the bih field (codec stayed at XXX when saving as copy)
			- 3GP: Fixed the const sample/ chunk case
			- 3GP : Added 8bits unsigned pseudo codec
       04-08-2003
       			- 3gp:Fixed fps computation for 3gp/olympus
			- 3gp: Fixed reindex for 3gp/olympus
			- 3gp :Fixed esds header for mp4 video (3gp)
			- Merged jens patches
			- 3gp :Added support for olympus raw audio (8 bits -> problem)
			- ** Fix when all sample the same size !!**
       03-08-2003
       			- Rewrote the track handling for avi , now accept track id beginning by 0/1/2
			- fixed save dual which was not working
***03-08-2003 ***2.0.12

	3-08-2003
			- Try to accept avi where audio is first (at least grab video)
			 need to rethink it...

       02-08-2003
       			- Added decoding for olympus like .mov
			- Fixed DVB buggy stream (laclasse)
			- Ignore errors for tivo files (indierocksteve)
			- Modified stuff to include ffv1rec in package
       29-08-2003
       			- Merged Anish Freebsd patches
			- Fixed Asher problem with crop
       28-08-2003
       			- Added support for any ffv1rec codec
			- Modded ffv1rec to add fourcc/extradata  (huffyuv / ffv1 available from now)
       27-07-2003
       			- Added ffv1rec to source tree (will come back on it later)
			- Fixed key shortcuts
       26-07-2003
       			- Added autodetect for mpeg audio
			- Use ffmpeg mjpeg decode if no mjpegtools
       24-07-2003
       			- Fixed DVD params being used instead of SVCD (indie)
			- New stuff in autoconf to deal with freeBSD/power pc etc...
			- Jens patch for end/start check
       23-07-2003
       			- 3gp video & audio support (no AMR codec for audio)
			- Fixed false message for divx5
			- Fixed # frame count for copy/paste

       21-07-2003
       			- Added check video
			- Added copy/paste
			- Began 3GP read support
	18-07-2003
			- Added mpeg1 inside avi support (rcooley)
			- Added support for FFV1 codec (nice and fast)
	17-07-2003
			- update ffmpeg to cvs
	16-07-2003
			- configure.in.in fix for powerpc
			- dont go to frame 0 after cut
			- fix the case when we load a edl file which as less frame than the current edl filesel
			- File type autodetect for solaris/powerpc
			- Sound playback for solaris/powerpc
			- Fixed smart copy (oops)
2.0.8-10-----------------
       09-07-2003
       			- Solaris mostly ok except OBJ_MMX to manually remove
			- Fixed the audio/video conf swap
			- DVD/SVCD/VCD is now using the encoder gui
			- Applied Jens autoswap disabler patch
			- Added are you sure in encoding stop button
       08-07-2003
       			- More solaris
			- New avi writter Copy mode :
				+ Ok for MP3 VBR x1
				+ OK for MP3 CBR x1
				+ OK for wma x1
	07-07-2003
			- Fix for process mode vids
			- More solaris stuff
			- libmpeg2 should compile on non intel cpu
---------2.0.9-1--------------
       06-07-2003
       			- Autocrop
       05-07-2003
       			- Gtk2 isation of xvid
			- Xvid params simplified, now closer to the windows version
			- Crop Gtk2 ised (except autocrop)

       04-07-2003
       			- Dual audio save back online
			- Fixed memory leak in save copy
			- Fixed copy mode if mpeg type is selected
			- Merged first part of solaris compatibility stuff
       02-07-2003
       			- Try to detect MP3 VBR (crude)
			- Save prefs without updating codec stuff at exit (last working dir saved)
			- Canonized name to avoid current directory problem at filesel level
					** Fixme : Should be canonized also for idx/workbench etc...**
       30-07-2003
       			- Gtk2isation of muxer options
			- Fixed SVCD (buildid)
	29-06-2003
			- Gtk2 isation of Mplayer postproc  + display correct strength
			- Gtk2isation of enterInt & enterFloat
			- Auto iconification of main window when encoding
			- Gtk2-isation of XVCD gui
			- Google found the solution for the adjust crap : gtk_range_get_adjustment
				Could be simpler in Gtk doc GrumbleMumble
------------2.0.8---------
       24-06-2003
       			- Added audio conf & process mode
			- Added video process mode
			- Need video codec conf and we are done :)
       23-06-2003
       			- Added audio & video codec to the saved infos in workbench
			- Added save audio filter in workbench
			- Fixed inapropriate delete _incoming in avisave. (?).
       22-06-2003
       			- More update stuff (should be clean now)
			- Began remerging the whole save stuff
2.0.7-4
	18-06-2003
			- Fixed update in a cleaner way
	17-06-2003
			- Fixed update of preview window by  2 patch
			- Added reference frame # for subtitle
       16-06-2003
       			- Fixed call to xvid when divx is not present (bad ifdef)
			- added non reg test to cvs
       15-06-2003
       			- Fixed abort for nuv loading properly (jens Arm). Probably a memory leak or two there...
			- Changed behaviour, now save [A,B[ like for cutting
			- Made GUI for mplayer (HQ)D3D filter
			- Tested a bit the new engine on VCD/XVCD & Xvid : seems okay
       12-06-2003
       			- Continued splitting the getLastFilter / getFirst filter in two parts
				(one for the whole stream, one for a piece of it like audio)
       11-06-2003
       			- Began the new null & raw filters
       09-06-2003
       			- Patched (again) libavcodec to use its vop packed detection stuff
			- Rmed divx dependancy
			- New mod for new mythtv comptype=4 stuff ( Scott Doty)

	08-06-2003
			- Merged Jens patch + Divx 5.0.5 decoder (ugly patch)
			- Try to detect vop packed stream (even uglier)
--2.0.7-1
	03-06-2003
			- Added non-HQ mplayer denoise3D
	02-06-2003
			- Fixed rotate (Martin Schipany)
       01-06-2003
       			- Fixed the assembly strangeness in 2.0.6
			- Began to add Mplayer Denoise3D
			- Fixed the warning due to multiple destroy call for preview
--2.0.6--
       31-05-2003
       			- Fixed fps saving when altered by filter
			- Fixed cancel in pass 1
       30-05-2003
       			- Fixed the strdup bug in export VCD
			- Mostly debugged the mmx version & C version of ilace count (could be faster)
			- Works except the 0-4 case where pulldowned frame are across two 5images blocks
			- Added a pulldown filter.

       	29-05-2003
			- Played with mmx.h, very handy to debug mmx code
	28-05-2003
			- Began merging and asming the interlace count code

---2.0.4---
26-05-2003
			- Fixed clock
			- Added nuv indexing / saving/loading
			- Played with rivatv and found the source of the noisy video . Nice picture now :)
 25/05/2003
 			- Fixed clock (Jens)
 24/05/2003
 			- Fixed (again) mpeg demuxer. Workaround a gcc bug ?. Weird.
  23/05/2003
  			- Began adding support for divx 5.0.5 encoder. At least it does compile
			- Began IVTC
			- Fixed local problem with toolame 44.1 -> 44,1  (look at lame too ***)
-------2.0.3-3
  22/05/2003
  			- Fixed bug spotted by papaf about mpegQuant for XVCD
  21/05/2003
			- Hopefully fixed the mpeg indexing bug
			- Removed the system_end_of_stream check
			- Upped autocut to 3gb for snowdog
--------2.0.3-2
 19/05/2003
			- Fixed the variadic macro mess for Gcc 3, have to look for gcc 2.95
			- Fixed gcc 3.3 rejecting string as char, almost no more warnings :)
			- Made a slightly better printf system for debug
			- Dropped last lonely B frame in case of AVI (probably a better way)
			- Ditto for mpeg, we try to keep more frames toward the end
			- Removed the end-of-stream check for mpeg (0xb9)
18/05/2003
			- Began separating Mpeg2 file i/o and codec & played ET : Best covert ops 2 times    :)
			- It is mostly working, but there is a speed penalty, probably out of order access
			- Need to completly rewrite the audio handling part...
17/05/2003
			- Began to deal with CBR/VBR audio in editor
			- Updated ffmpeg, that fixes the problem with pict_type
			- Patched so that hurry_up returns the correct value
			- B frame strategy does not work with PB frame ala DIVX, should find a way to split it back to P/B frames
			- Re-silenced ffmpeg & forced aspect ratio 2
16/05/2003
			- More B frame stuff, ok when encoding from ADM, not when re-ordered from external avi file
			- Added a frame type indicator
			- Fixed interpretation of libavcodec frame type -> do not use frame.pict_type anymore
			  -> now globally working, time to do mpeg1/2
15/05/2003
			- B-frame reordering for avi
			- Min Q for SVCD-mpeg1 back to 2, max 20
14/05/2003
			- B frame handling logic added to editor
13/05/2003
			- Began to add framework support for B-frame...
12/05/2003
			- Big warning clean-up
			- Added underflow flags to 2 pass, and temptative padding
			- Fixed preview by gtk2 -ised it a bit
11/05/2003
			- Fixed display of add borders
			- Fixed the make dist engine
			- Removed the buildFfmpeg script -> not used anymore
			- Time to set a release avidemux 2.0.2
10/05/2003
			- Set lower quantizer incs  for XVCD
			- Set aspect ration according to region
----------------- preview12 -------------------
09/05/2003
			- 2passXvid with ffmpeg mpeg1 encode is workish       
08/05/2003
			- Began an hybrid of FFmpeg mpeg1 encoder
					with xvid 2 pass algorythm. It will enable max rate control later.

----------- preview 11--------------------------
07/05/2003

			- Added some i18n to subtitles, now handles russian / czech and german.
			- a lot of patches to This
05/05/2003
			- Fixed contrast gui
			- Merged Jens 3/4 patches
			- Alsa is working now, borrowed some bits from Mplayer (sw param)
					some pops & cracks , dunno where it is coming from
			- LPCM pseudo codec
			- Added PCM mpeg program audio track support Jva
04/05/2003
			- Fixed OGM (255/0)
			- Began to add alsa audio support
-------------       preview10-----------------
02/05/2003
			- OGM demuxer for video is work-ish albeit slowly
01/05/2003
			- More OGM stuff
			- Apparently mpeg2 from CLI  is broken       <<< Fixed
30/04/2003
			- Redone masking for subtitle
			- Merged Jens patches
			- CTRL+G is back
29/04/2003
			- Merged patch from Thomas schank (filename protection for mpeg2enc)
			- Gtkisation of mpeg2opt, Jens will not be happy ...
			- Inlined read8/16/32 for mpeg2 parser should be significantly faster
28/04/2003
			- Partial is back.
			- Skeleton for OGM reader & include files
27/04/2003
			- Fixed save wkb with no filter
			- Fixed load workbench from cli with wrong name
			- Merged jens patch
			- Lame piping (does not work)
			- Pipe to anything (not completed)
			- Fixed encoder (cli -> jens)
			- Re-enabled normalize & downsample for command line (ugly)
			- Added cli mode for toolame
---------- preview9--------------------
25/04/2003
			- Cleanup of audio filter chain builder
			- Fixed LOCALEDIR
			- toolame is autodetected at buid time
			- Remerged Jens save mpeg patch
			
24/04/2003
			- First toolame piping stuff.
23/04/2003
			- Fixed multiple working when saving avi in process mode
			- Fixed inversion on audio type for mpeg (AC3/mpeg)
			- Fixed a couple of warnings (some of them interesting)
			- Added entry for pipe audio
-------- preview 8--------
21/04/2003
			- Working -> DIA_working (gtk2), no more global stuff.
			- Created DIA_busy for simple waiting stuff
			- Removed GUI_workin stuff
			- Opening mpeg ->index, and open it (a bit ugly), no more failed
			- Began adding slow unoptimized 411/422 converter for FFmpeg
20/04/2003
			- Upgraded libmpeg2 to 0.3.1, simpler...
			- Added Clock API

18/04/2003
			- Save image is back
			- cleaned up yv12rgb
			- Gtk2isation of DNR
--- preview 7---
17/04/2003
			- Finished incorporating Mplayer resize
16/04/2003
			- Fixed lanczos3 (and bicubic) filter
			- Began to add mplayer resize func
15/04/2003
			- New filter : Smart swap that tries to identify the frame that need
				field swapping.
14/04/2003
			- New filter : chroma shift
			- Fixed click beside the slidebar to jump ahead a bit
			- Added Anish
			- Tried a patch for RTJpegN (blind patch) for marcooo and the Suse 8.2
13/04/2003
			- New xml stuff ~ 90 % ok, some bugs left  / partial still broken
			- Everything should be mostly functionnal now
			- Check that we have really write access (Simon's request)
12/04/2003
			- Save filter as XML -> now mandory ? 50 % done
			- Switching from binary save to xml save -> everything is broken...   
11/04/2003
			- Separate & merge fields (cheap)
			- Began working on new filter load/save in XML
				(time to learn how libxml works)
10/04/2003
			- Added filters swap fields, keep odd & keep even
08/04&07/04
			- New GUI for resize engine (16/9 eme and slider)
--preview5--
04/04/2003	Birthday :)
			- Gtk2 isation of filters
			- Gtk2isation of convolution filters
			- Set nicer window size (jakub)
			- Added reset segments
			- New filesel, gtk2 way.

03/04/2003
			- Merged Jacek Pliszka <pliszka@phyun0.ucr.edu goto black frame patch
02/04/2003
			- Auto-open index in case of mpeg
			- Only remember successfully opened files
			- Resize recent file dialog
01/04/2003
			- Re-coded save/load workbench
			- Load workbench as file (ugly)
			- Fixed xv leaking colors (workaround)
			- Fixed CTRL+X
31/03/2003
			- Time map menu fix
			- Audio device clean up + saved in pref

30/03/2003
			- Update ffmpeg to yesterday CVS
27/03/2003
			- Fixed Xv  Made preview 3.
23&24/03/2003
			- i18n
22/03/2003
			- 0.9RC3 is out
			- editor :continued splitting editor into segments and videos
			- played mame a bit, galaga still my favorite game.
21/03/2003
			- Began trashing editor
19/03/2003
			- About & mjpeg GUI
			- mjpeg config consistent with others
18/03/2003
			- Finished audio codec settings
			- Fixed change FPS
			- rewrote properties dialog in gtk2
17/03/2003
			- More clean- up 
			- Menus mostly complete
			- Most functions present       

16/03/2003
			- Fixed a process & v process toggle buttons
			- Decorellated menu binding from glade :)   
			- Finished audio filters    
			- Video codec + configure
			- Audio codec + configure
			- Workish solution for myth TV
			
15/03/2003
			- Removed old GUI for good
			- Fixed Xv release
			- Audio filter setup 50 % done
			- Merged new version of RTjpeg
			- Have a nuv / mythTv nuv compatible stuff -> reread carefully.       
14/03/2003
			- Fixed configure about Xv stuff
			- Make patch-o-matic for gui_main       
			- Huge cleanup on callback.[ch] and interface.[ch]
			- Began switching from old GUI to new GUI 
			- new layers  UI_ and render_
13/03/2003
			- First clean up of renderer (no more shared stuff)       
12/03/2003
			- Began splitting new GUI in ADM_gui2       
